Google Web Toolkit
Search Google Code:

# Class TableListenerCollection

public class TableListenerCollection
extends ArrayList
A helper class for implementers of the SourcesTableEvents interface. This subclass of ArrayList assumes that all objects added to it will be of type TableListener.

## Methods

fireCellClicked(SourcesTableEvents, int, int) | Fires a cellClicked event to all listeners.

## Method Detail

### fireCellClicked

public void fireCellClicked(SourcesTableEvents sender, int row, int cell)
Fires a cellClicked event to all listeners.

#### Parameters

sender
  the widget sending the event
row
  the row of the cell being clicked
cell
  the index of the cell being clicked